package org.ow2.opensuit.xmlmap.tests;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Vector;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Document;
import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;


/**
 * The base class for instantiating an object model that conform to XML mapping rules.
 */
public class TestDOM
{
	public static void main(String[] args) throws MalformedURLException, SAXException, IOException, ParserConfigurationException
	{
//		File f = new File(args[0]);
		File f = new File("E:/temp/MoviesDBApp_ko.xml");
		instantiate(f.toURL());
	}
	
	private URL _mainDoc;
	
	private TestDOM(URL iMainDocUrl)
	{
		_mainDoc = iMainDocUrl;
	}


	public final static TestDOM instantiate(URL iXmlFileUrl) throws SAXException, IOException, ParserConfigurationException
	{
		TestDOM doc = new TestDOM(iXmlFileUrl);
		doc.instantiateMainDoc();
		return doc;
	}
	
	private void instantiateMainDoc() throws SAXException, IOException, ParserConfigurationException
	{
		DocumentBuilderFactory parserFactory = DocumentBuilderFactory.newInstance();
		parserFactory.setNamespaceAware(true);
//			parserFactory.setValidating(true);
		DocumentBuilder parser = parserFactory.newDocumentBuilder();
		Document doc = parser.parse(_mainDoc.toExternalForm());
		System.out.println("doc: "+doc);
	}

}
